export interface MergeProcessSubscriptionParams {
    processId: string;
    planId: string;
    handlers: {
        onMobileShareCollected(data: any): any;
        onTriggerValidationResponse(data: any): any;
        onCollectSharesApproved(data: any): any;
        onMergeTriggerUpdated(data: any): any;
    };
}
export default interface MergeProcessEventListener {
    subscribe(data: MergeProcessSubscriptionParams): any;
    unsubscribe(data: Pick<MergeProcessSubscriptionParams, 'planId' | 'processId'>): any;
}
